Skip to main content
GET
/
filesystems
/
{filesystem_id}
/
files
List Files
curl --request GET \
  --url https://api.example.com/filesystems/{filesystem_id}/files
{
  "files": [
    {
      "modified_at": "2023-11-07T05:31:56Z",
      "path": "<string>",
      "synced_at": "2023-11-07T05:31:56Z",
      "checksum": "<string>",
      "content": "<string>",
      "content_truncated": false,
      "is_binary": false,
      "is_directory": false,
      "mime_type": "<string>",
      "size_bytes": 123
    }
  ],
  "filesystem_id": "<string>",
  "total_count": 123,
  "synced_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt

Use this file to discover all available pages before exploring further.

List files in the filesystem manifest with optional filtering by directory, MIME type, and pagination.

Path Parameters

filesystem_id
string
required

Query Parameters

directory
string
default:/

Directory prefix to filter results

recursive
boolean
default:true

Include subdirectories

mime_type
string | null

Filter by MIME type

include_content
boolean
default:true

Include file content in response

limit
integer
default:1000

Maximum number of results

Required range: 1 <= x <= 5000
offset
integer
default:0

Pagination offset

Required range: x >= 0

Response

Successful Response

Response model for listing files in a filesystem.

files
FilesystemFileResponse · object[]
required

List of file entries.

filesystem_id
string
required

The filesystem ID.

total_count
integer
required

Total number of matching files.

synced_at
string<date-time> | null

When the manifest was last synced.